Bug 149524 - anaconda HTTP install downloads every package twice
anaconda HTTP install downloads every package twice
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Lumens
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-23 14:43 EST by Charles R. Anderson
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-22 12:04:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Charles R. Anderson 2005-02-23 14:43:52 EST
Description of problem:

anaconda HTTP install from rawhide downloaded/installed each package, then
downloaded every package again (but did not appear to install this time around).
Server logs show GET requests for every package twice.

Version-Release number of selected component (if applicable):

anaconda-10.2.0.22-1

How reproducible:
didn't try

Steps to Reproduce:
1. choose an http install

Actual results:

Here is an example of just a few packages (openoffice).  Every package is
downloaded twice in this pattern:

130.215.130.29 - - [23/Feb/2005:14:18:27 -0500] "GET
/pub/fcdevel/Fedora/RPMS/openoffice.org-libs-1.1.3-6.7.0.i386.rpm HTTP/1.1" 200
43112834 "-" "urlgrabber/2.9.2"
130.215.130.29 - - [23/Feb/2005:14:18:40 -0500] "GET
/pub/fcdevel/Fedora/RPMS/openoffice.org-1.1.3-6.7.0.i386.rpm HTTP/1.1" 200
34244111 "-" "urlgrabber/2.9.2"
130.215.130.29 - - [23/Feb/2005:14:19:03 -0500] "GET
/pub/fcdevel/Fedora/RPMS/openoffice.org-i18n-1.1.3-6.7.0.i386.rpm HTTP/1.1" 200
124452950 "-" "urlgrabber/2.9.2"
130.215.130.29 - - [23/Feb/2005:14:25:06 -0500] "GET
/pub/fcdevel/Fedora/RPMS/openoffice.org-libs-1.1.3-6.7.0.i386.rpm HTTP/1.1" 200
43112834 "-" "urlgrabber/2.9.2"
130.215.130.29 - - [23/Feb/2005:14:25:12 -0500] "GET
/pub/fcdevel/Fedora/RPMS/openoffice.org-1.1.3-6.7.0.i386.rpm HTTP/1.1" 200
34244111 "-" "urlgrabber/2.9.2"
130.215.130.29 - - [23/Feb/2005:14:25:18 -0500] "GET
/pub/fcdevel/Fedora/RPMS/openoffice.org-i18n-1.1.3-6.7.0.i386.rpm HTTP/1.1" 200
124452950 "-" "urlgrabber/2.9.2"
Comment 1 Jeremy Katz 2005-02-28 17:25:40 EST
Fixed in rpm-4.4.1-3

Note You need to log in before you can comment on or make changes to this bug.